summaryrefslogtreecommitdiff
path: root/files/scripts/OpenBSD/bin/restart_apache.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/scripts/OpenBSD/bin/restart_apache.sh')
-rw-r--r--files/scripts/OpenBSD/bin/restart_apache.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/files/scripts/OpenBSD/bin/restart_apache.sh b/files/scripts/OpenBSD/bin/restart_apache.sh
new file mode 100644
index 0000000..4dc936d
--- /dev/null
+++ b/files/scripts/OpenBSD/bin/restart_apache.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ignoreout='Processing config'
+apachectl restart 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl restart: httpd restarted" || true )
+sleep 10
+apachectl start 2>&1 | (egrep -v -e "_default_ VirtualHost overlap on port 443" -e "$ignoreout" -e "/usr/sbin/apachectl startssl: httpd started" || true )